﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Networking.Client;
using Networking.Server;

public class ConveyorBelt : MonoBehaviour
{
    public ClientList clientData;
    bool characterOnBelt = false;
    GameObject player;
    string charname;
    public List<string> Names = new List<string>();
    public bool left;
    public bool forward;
    public bool triggeranimate;

    private void Update()
    {
        //for testing purposes
        if (triggeranimate == true)
        {
            Animate();
            triggeranimate = false;
        }
    }

    private void Start()
    {
        for (int i = 0; i < clientData.ConnectedClients.Count; i++)
        {
            Names.Add(clientData.ConnectedClients[i].characterAnimal + "(Clone)");
        }
    }
    void OnTriggerEnter(Collider other)
    {
        for (int i = 0; i < Names.Count; i++)
        {
            if (other.gameObject.name == Names[i])
            {
                characterOnBelt = true;
                charname = other.gameObject.name;
            }
        }
    }

    public void Animate()
    {
        player = GameObject.Find(charname);

        if(forward == true)
        {
            player.GetComponent<Character>().conveyorMoveForward(Direction.Forward, 1.0f);
        }
        else if (forward == false)
        {
            player.GetComponent<Character>().conveyorMoveBackward(Direction.Forward, 1.0f);
        }
        else if (left == true)
        {
            player.GetComponent<Character>().conveyorMoveLeft(Direction.Forward, 1.0f);
        }
        else if (left == false)
        {
            player.GetComponent<Character>().conveyorMoveRight(Direction.Forward, 1.0f);
        }
    }
}
